Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jclark.xsl.sax2
Class OutputMethodHandlerImpl

    java.lang.Object
      com.jclark.xsl.sax2.OutputMethodHandlerImpl

All Implemented Interfaces:
  OutputMethodHandler

public class OutputMethodHandlerImpl
extends java.lang.Object
implements OutputMethodHandler

produces a ContentHandler suitable for a given output method i.e text, XML, etc and destination

Field Summary

Fields inherited from interface com.jclark.xsl.sax2.OutputMethodHandler
`namespaceSeparator`

Constructor Summary
`OutputMethodHandlerImpl()`

Method Summary
`org.xml.sax.ContentHandler` | `createContentHandler(java.lang.String name, java.util.Properties atts)` obtain a ContentHandler appropriate for the named output method and our destination
`OutputMethodHandler` | `createOutputMethodHandler(java.lang.String uri)` Creates a new instance for writing to the given URI.
`void` | `setDestination(Destination dest)` set the target of our output stream

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### OutputMethodHandlerImpl

    public OutputMethodHandlerImpl()

Method Detail

### createOutputMethodHandler

    public OutputMethodHandler createOutputMethodHandler(java.lang.String uri)

  Creates a new instance for writing to the given URI. Useful for "xt:document" extension element

  Specified by:
    `createOutputMethodHandler` in interface `OutputMethodHandler`

### setDestination

    public void setDestination(Destination dest)

  set the target of our output stream

### createContentHandler

    public org.xml.sax.ContentHandler createContentHandler(java.lang.String name,
                                                           java.util.Properties atts)
                                                    throws org.xml.sax.SAXException,
                                                           java.io.IOException

  obtain a ContentHandler appropriate for the named output method and our destination

  Specified by:
    `createContentHandler` in interface `OutputMethodHandler`
  Throws:
    `org.xml.sax.SAXException`
    `java.io.IOException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD